summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Hunter Sezen2016-01-11 18:57:02 +0100
committer Robby Workman2016-01-13 04:58:11 +0100
commitd45b7c006b91a19509342be2fda65768e83f1344 (patch)
treed4edb66cd57216cabfe434ce485e2a0d7eee97fc
parent89800434abb186ce23d325d6383b30ca45aea7de (diff)
downloadslackbuilds-d45b7c006b91a19509342be2fda65768e83f1344.tar.gz
games/dhewm3: Added (Doom 3 GPL source port).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
-rw-r--r--games/dhewm3/README21
-rw-r--r--games/dhewm3/dhewm3.SlackBuild104
-rw-r--r--games/dhewm3/dhewm3.info10
-rw-r--r--games/dhewm3/slack-desc19
4 files changed, 154 insertions, 0 deletions
diff --git a/games/dhewm3/README b/games/dhewm3/README
new file mode 100644
index 0000000000..f6951ef694
--- /dev/null
+++ b/games/dhewm3/README
@@ -0,0 +1,21 @@
+The goal of dhewm 3 is bring DOOM 3 with the help of SDL to all suitable platforms.
+
+Compared to the original DOOM 3, the changes of dhewm 3 worth mentioning are:
+
+* 64bit port
+* SDL for low level OS support, OpenGL and input handling
+* OpenAL for audio output, all OS specific audio backends are gone
+* OpenAL EFX for EAX reverb effects (read: EAX-like sound effects on all platforms/hardware)
+* Better support for widescreen (and arbitrary display resolutions)
+* A portable build system based on CMake
+
+This engine will only work with the original Doom 3 and Resurrection of Evil expansion pack
+and not the newer Doom 3 BFG.
+
+To build the dedicated server or to disable building the base game code, the core or d3xp
+game code use: BASE="no" CORE="no" D3XP="no" SERVER="yes" ./dhewm3.SlackBuild
+
+Doom 3 and the Resurrection of Evil expansion pack data are not included with dhewm 3 and are
+still covered by the original EULA. They must be acquired separately such as from the retail
+DVDs or with SteamCMD. The data pak00*.pk4 files need to be placed in /usr/share/dhewm3/base
+for Doom 3 and /usr/share/dhewm3/d3xp for RoE, symbolic links to the data directories will work.
diff --git a/games/dhewm3/dhewm3.SlackBuild b/games/dhewm3/dhewm3.SlackBuild
new file mode 100644
index 0000000000..480f7cf0ce
--- /dev/null
+++ b/games/dhewm3/dhewm3.SlackBuild
@@ -0,0 +1,104 @@
+#!/bin/sh
+
+# Slackware build script for dhewm3
+
+# Copyright 2016 Hunter Sezen California, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=dhewm3
+VERSION=${VERSION:-1.4.0}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz || tar xvf $CWD/$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+BASE=${BASE:-yes} CORE=${CORE:-yes} D3XP=${D3XP:-yes} SERVER=${SERVER:-no}
+if [ "${BASE:-no}" = "no" ]; then base="-DBASE:BOOL=OFF"; else base=""; fi
+if [ "${CORE:-no}" = "no" ]; then core="-DCORE:BOOL=OFF"; else core=""; fi
+if [ "${D3XP:-no}" = "no" ]; then d3xp="-DD3XP:BOOL=OFF"; else d3xp=""; fi
+if [ "${SERVER:-yes}" = "yes" ]; then server="-DDEDICATED:BOOL=ON"; else server=""; fi
+
+mkdir -p neo/build
+cd neo/build
+ cmake \
+ -DCMAKE_C_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_CXX_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_INSTALL_PREFIX=/usr \
+ -DCMAKE_INSTALL_BINDIR=/usr/games \
+ $base $core $d3xp $server \
+ -DCMAKE_BUILD_TYPE=Release ..
+ make
+ make install DESTDIR=$PKG
+cd ../..
+
+mkdir -p $PKG/usr/share/$PRGNAM
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a COPYING.txt README.md $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/games/dhewm3/dhewm3.info b/games/dhewm3/dhewm3.info
new file mode 100644
index 0000000000..740f948e41
--- /dev/null
+++ b/games/dhewm3/dhewm3.info
@@ -0,0 +1,10 @@
+PRGNAM="dhewm3"
+VERSION="1.4.0"
+HOMEPAGE="https://github.com/dhewm/dhewm3"
+DOWNLOAD="https://github.com/dhewm/dhewm3/archive/1.4.0.tar.gz"
+MD5SUM="6cabb092cf7a428ac248d700ad3c0212"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="OpenAL SDL2"
+MAINTAINER="Hunter Sezen"
+EMAIL="ovariegata@yahoo.com" \ No newline at end of file
diff --git a/games/dhewm3/slack-desc b/games/dhewm3/slack-desc
new file mode 100644
index 0000000000..4668a2f939
--- /dev/null
+++ b/games/dhewm3/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+dhewm3: dhewm3 (Doom 3 GPL source port)
+dhewm3:
+dhewm3: The goal of dhewm 3 is bring DOOM 3 with the help of SDL to all
+dhewm3: suitable platforms.
+dhewm3:
+dhewm3: Homepage: https://github.com/dhewm/dhewm3
+dhewm3:
+dhewm3:
+dhewm3:
+dhewm3:
+dhewm3: